Save HubSpot activity sync settings
Ensures default mapping templates and stores enabled/types/link-policy/body-visibility choices. Omitted fields reset to disabled, empty types, matched_only and team respectively. This endpoint returns connection settings only and does not sync activities. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activity_sync_enabled": true,
"activity_types": [
"note"
],
"activity_link_policy": "matched_only",
"activity_body_visibility": "team"
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping"
payload = {
"activity_sync_enabled": True,
"activity_types": ["note"],
"activity_link_policy": "matched_only",
"activity_body_visibility": "team"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activity_sync_enabled: true,
activity_types: ['note'],
activity_link_policy: 'matched_only',
activity_body_visibility: 'team'
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'activity_sync_enabled' => true,
'activity_types' => [
'note'
],
'activity_link_policy' => 'matched_only',
'activity_body_visibility' => 'team'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping"
payload := strings.NewReader("{\n \"activity_sync_enabled\": true,\n \"activity_types\": [\n \"note\"\n ],\n \"activity_link_policy\": \"matched_only\",\n \"activity_body_visibility\": \"team\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"activity_sync_enabled\": true,\n \"activity_types\": [\n \"note\"\n ],\n \"activity_link_policy\": \"matched_only\",\n \"activity_body_visibility\": \"team\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"activity_sync_enabled\": true,\n \"activity_types\": [\n \"note\"\n ],\n \"activity_link_policy\": \"matched_only\",\n \"activity_body_visibility\": \"team\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"connection": {
"id": 42,
"target_context_json": {
"donor_hysform_id": 42,
"company_target_mode": "household",
"allow_email_match": true,
"company_match_by_name": true,
"activity_sync_enabled": true,
"activity_types": [
"note"
],
"activity_link_policy": "matched_only",
"activity_body_visibility": "team",
"deal_sync_enabled": true,
"deal_stage_ids": [
"<string>"
],
"product_sync_enabled": true,
"product_program_ids": [
42
],
"product_field_mapping": {
"name": "Example",
"description": "Example",
"price": "Example",
"sku": "Example"
},
"product_program_field_mappings": {},
"deal_outbound_enabled": true,
"deal_outbound_pipeline_id": "Example",
"deal_outbound_stage_id": "Example"
}
}
},
"message": "Example"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Body
Validated request fields for this operation.
Activity sync enabled. Validation: nullable, boolean.
true
Activity types. Validation: nullable, array.
Activity types item. Validation: string; allowed values: note, task, call, meeting, email.
note, task, call, meeting, email Activity link policy. Validation: nullable; allowed values: matched_only, import_unmatched.
matched_only, import_unmatched, null "matched_only"
Activity body visibility. Validation: nullable; allowed values: team, private.
team, private, null "team"
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activity_sync_enabled": true,
"activity_types": [
"note"
],
"activity_link_policy": "matched_only",
"activity_body_visibility": "team"
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping"
payload = {
"activity_sync_enabled": True,
"activity_types": ["note"],
"activity_link_policy": "matched_only",
"activity_body_visibility": "team"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activity_sync_enabled: true,
activity_types: ['note'],
activity_link_policy: 'matched_only',
activity_body_visibility: 'team'
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'activity_sync_enabled' => true,
'activity_types' => [
'note'
],
'activity_link_policy' => 'matched_only',
'activity_body_visibility' => 'team'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping"
payload := strings.NewReader("{\n \"activity_sync_enabled\": true,\n \"activity_types\": [\n \"note\"\n ],\n \"activity_link_policy\": \"matched_only\",\n \"activity_body_visibility\": \"team\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"activity_sync_enabled\": true,\n \"activity_types\": [\n \"note\"\n ],\n \"activity_link_policy\": \"matched_only\",\n \"activity_body_visibility\": \"team\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/hubspot/activity-mapping")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"activity_sync_enabled\": true,\n \"activity_types\": [\n \"note\"\n ],\n \"activity_link_policy\": \"matched_only\",\n \"activity_body_visibility\": \"team\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"connection": {
"id": 42,
"target_context_json": {
"donor_hysform_id": 42,
"company_target_mode": "household",
"allow_email_match": true,
"company_match_by_name": true,
"activity_sync_enabled": true,
"activity_types": [
"note"
],
"activity_link_policy": "matched_only",
"activity_body_visibility": "team",
"deal_sync_enabled": true,
"deal_stage_ids": [
"<string>"
],
"product_sync_enabled": true,
"product_program_ids": [
42
],
"product_field_mapping": {
"name": "Example",
"description": "Example",
"price": "Example",
"sku": "Example"
},
"product_program_field_mappings": {},
"deal_outbound_enabled": true,
"deal_outbound_pipeline_id": "Example",
"deal_outbound_stage_id": "Example"
}
}
},
"message": "Example"
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}